# Uses of Interface
javax.lang.model.element.TypeParameterElement

Packages that use TypeParameterElement
Package
Description
javax.lang.model.element
Interfaces used to model elements of the Java programming language.
javax.lang.model.util
Utilities to assist in the processing of program elements and types.

- ## Uses of TypeParameterElement in javax.lang.model.element

  Methods in javax.lang.model.element that return types with arguments of type TypeParameterElement
  Modifier and Type
  Method
  Description
  `List<? extends TypeParameterElement>`
  ExecutableElement.`getTypeParameters()`
  Returns the formal type parameters of this executable in declaration order.
  `List<? extends TypeParameterElement>`
  Parameterizable.`getTypeParameters()`
  Returns the formal type parameters of an element in declaration order.
  `List<? extends TypeParameterElement>`
  TypeElement.`getTypeParameters()`
  Returns the formal type parameters of this class or interface element in declaration order.
  Methods in javax.lang.model.element with parameters of type TypeParameterElement
  Modifier and Type
  Method
  Description
  `R`
  ElementVisitor.`visitTypeParameter(TypeParameterElement e, P p)`
  Visits a type parameter element.

- ## Uses of TypeParameterElement in javax.lang.model.util

  Methods in javax.lang.model.util with parameters of type TypeParameterElement
  Modifier and Type
  Method
  Description
  `R`
  ElementKindVisitor6.`visitTypeParameter(TypeParameterElement e, P p)`
  Visits a type parameter element.
  `R`
  ElementScanner6.`visitTypeParameter(TypeParameterElement e, P p)`
  Visits a type parameter element.
  `R`
  SimpleElementVisitor6.`visitTypeParameter(TypeParameterElement e, P p)`
  Visits a type parameter element.